%define upstream_name    Number-Bytes-Human
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Convert byte count to human readable format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
THIS IS ALPHA SOFTWARE: THE DOCUMENTATION AND THE CODE WILL SUFFER CHANGES
SOME DAY (THANKS, GOD!).

This module provides a formatter which turns byte counts to usual readable
format, like '2.0K', '3.1G', '100B'. It was inspired in the '-h' option of
Unix utilities like 'du', 'df' and 'ls' for "human-readable" output.

From the FreeBSD man page of 'df':
http://www.freebsd.org/cgi/man.cgi?query=df

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-4.mga8
+ Revision: 1505738
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.110.0-3.mga7
+ Revision: 1285396
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.110.0-2.mga7
+ Revision: 1166039
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.110.0-1.mga7
+ Revision: 1157737
- update to 0.11
- update to 0.11

* Sun May 29 2016 shlomif <shlomif> 0.100.0-1.mga6
+ Revision: 1019300
- update to 0.10

* Mon Feb 08 2016 umeabot <umeabot> 0.90.0-5.mga6
+ Revision: 942537
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-4.mga5
+ Revision: 747672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 685756
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 525259
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.90.0-1.mga4
+ Revision: 432827
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 370993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 shlomif <shlomif> 0.70.0-1.mga3
+ Revision: 331221
- imported package perl-Number-Bytes-Human


* Sat Dec 15 2012 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
